cURL
curl -X POST "https://api.smooth.sh/api/v1/file" \
-H "apikey: YOUR_API_KEY" \
-F "file=@/path/to/your/file.pdf" \
-F "file_purpose=invoice document"from smooth import SmoothClient
client = SmoothClient(api_key="YOUR_API_KEY")
with open("/path/to/your/file.pdf", "rb") as f:
response = client.upload_file(f, purpose="invoice document")
print(f"File ID: {response.id}")
# Use the file in a task
task = client.run(
task="Process this invoice",
files=[response.id]
)const form = new FormData();
form.append('file', '<string>');
form.append('file_purpose', '<string>');
const options = {method: 'POST', headers: {apikey: '<api-key>'}};
options.body = form;
fetch('https://api.smooth.sh/api/v1/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"r": {
"id": "<string>"
}
}File
Upload File
Upload a file to be used by tasks. Files can be passed to tasks via the files parameter.
POST
/
file
cURL
curl -X POST "https://api.smooth.sh/api/v1/file" \
-H "apikey: YOUR_API_KEY" \
-F "file=@/path/to/your/file.pdf" \
-F "file_purpose=invoice document"from smooth import SmoothClient
client = SmoothClient(api_key="YOUR_API_KEY")
with open("/path/to/your/file.pdf", "rb") as f:
response = client.upload_file(f, purpose="invoice document")
print(f"File ID: {response.id}")
# Use the file in a task
task = client.run(
task="Process this invoice",
files=[response.id]
)const form = new FormData();
form.append('file', '<string>');
form.append('file_purpose', '<string>');
const options = {method: 'POST', headers: {apikey: '<api-key>'}};
options.body = form;
fetch('https://api.smooth.sh/api/v1/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"r": {
"id": "<string>"
}
}Authorizations
Body
multipart/form-data
Response
File successfully uploaded.
Response model for file upload.
Show child attributes
Show child attributes
⌘I